JBossToolsGwt

Clone Tools
  • last updated a few minutes ago
Constraints
Constraints: committers
 
Constraints: files
Constraints: dates
[JBIDE-7956] removed version range for required com.google.gwt.eclipse.core and updated com.google.gwt.eclipse.sdkbundle to 2.2.0

git-svn-id: http://svn.jboss.org/repos/jbosstools/trunk@29563 a97e2381-89e5-4abb-bab3-167db6db766c

JBIDE-8119 apply JBIDE-8119.patch to set all trunk pom.xml files to point at parent pom version 0.0.2-SNAPSHOT

git-svn-id: http://svn.jboss.org/repos/jbosstools/trunk@28726 a97e2381-89e5-4abb-bab3-167db6db766c

    • -4
    • +4
    /plugins/org.jboss.tools.gwt.core/pom.xml
    • -4
    • +4
    /plugins/org.jboss.tools.gwt.ui/pom.xml
[JBIDE-8012] set dependency to the gwt sdk to be optional

git-svn-id: http://svn.jboss.org/repos/jbosstools/trunk@27988 a97e2381-89e5-4abb-bab3-167db6db766c

[JBIDE-8004] corrected facet dependency to a range that start with jdk1.5 instead of a fixed dependency to it

git-svn-id: http://svn.jboss.org/repos/jbosstools/trunk@27783 a97e2381-89e5-4abb-bab3-167db6db766c

[JBIDE-7956] corrected google sdk plugin dependency to latest version (what a bad idea they had to put the version into the plugin name. I cannot use version ranges - osgi-style)

git-svn-id: http://svn.jboss.org/repos/jbosstools/trunk@27771 a97e2381-89e5-4abb-bab3-167db6db766c

[JBIDE-7898] switched to JDK1.6

git-svn-id: http://svn.jboss.org/repos/jbosstools/trunk@27475 a97e2381-89e5-4abb-bab3-167db6db766c

[JBIDE-7898] switched to JDK1.6

git-svn-id: http://svn.jboss.org/repos/jbosstools/trunk@27474 a97e2381-89e5-4abb-bab3-167db6db766c

[JBIDE-7898] switched to JDK1.6

git-svn-id: http://svn.jboss.org/repos/jbosstools/trunk@27473 a97e2381-89e5-4abb-bab3-167db6db766c

[JBIDE-7828] updated dependency to latest gwt sdk

git-svn-id: http://svn.jboss.org/repos/jbosstools/trunk@27214 a97e2381-89e5-4abb-bab3-167db6db766c

feature should not require stuff - only plugins should require stuff; bump dep to 2.1.0 from 2.0.4; set svn:ignore

git-svn-id: http://svn.jboss.org/repos/jbosstools/trunk@26322 a97e2381-89e5-4abb-bab3-167db6db766c

make artifactId unique for each update site pom.xml, so we can build w/ Tycho 0.10.0

git-svn-id: http://svn.jboss.org/repos/jbosstools/trunk@25766 a97e2381-89e5-4abb-bab3-167db6db766c

JBIDE-7080 GWT facet doesn't work correctly with Web Module 2.4

git-svn-id: http://svn.jboss.org/repos/jbosstools/trunk@25228 a97e2381-89e5-4abb-bab3-167db6db766c

[JBIDE-7092] the wizard now adds GWT Designer nature and facet if the GWT Designer plugin's present

git-svn-id: http://svn.jboss.org/repos/jbosstools/trunk@24998 a97e2381-89e5-4abb-bab3-167db6db766c

renamed method to better reflect its purpose

git-svn-id: http://svn.jboss.org/repos/jbosstools/trunk@24958 a97e2381-89e5-4abb-bab3-167db6db766c

renamed method to better reflect its purpose

git-svn-id: http://svn.jboss.org/repos/jbosstools/trunk@24957 a97e2381-89e5-4abb-bab3-167db6db766c

build properties corrected, warnings cleared

git-svn-id: http://svn.jboss.org/repos/jbosstools/trunk@24956 a97e2381-89e5-4abb-bab3-167db6db766c

mark feature and plugin as Experimental

git-svn-id: http://svn.jboss.org/repos/jbosstools/trunk@24777 a97e2381-89e5-4abb-bab3-167db6db766c

[JBIDE-6987] fixed the deployment assembly

git-svn-id: http://svn.jboss.org/repos/jbosstools/trunk@24754 a97e2381-89e5-4abb-bab3-167db6db766c

[JBIDE-6954] facet constraints requirements changed from OR to AND in Beta now (M2 previously)

git-svn-id: http://svn.jboss.org/repos/jbosstools/trunk@24731 a97e2381-89e5-4abb-bab3-167db6db766c

[JBIDE-6987] gwt-servlet.jar now gets copied to the new project WEB-INF/lib. Still missing: add it to the deployment

git-svn-id: http://svn.jboss.org/repos/jbosstools/trunk@24730 a97e2381-89e5-4abb-bab3-167db6db766c

[JBIDE-6954] cleanup, still 1 error left (web-inf folder's missing)

git-svn-id: http://svn.jboss.org/repos/jbosstools/trunk@24671 a97e2381-89e5-4abb-bab3-167db6db766c

[JBIDE-6954] added runtime extension, fixes missing web content folder

git-svn-id: http://svn.jboss.org/repos/jbosstools/trunk@24670 a97e2381-89e5-4abb-bab3-167db6db766c

[JBIDE-6954] throws now exceptions correctly

git-svn-id: http://svn.jboss.org/repos/jbosstools/trunk@24668 a97e2381-89e5-4abb-bab3-167db6db766c

com.google.gwt.eclipse.sdkbundle.2.0.4 is needed. The (builder of the) project that gets created is looking for it

git-svn-id: http://svn.jboss.org/repos/jbosstools/trunk@24581 a97e2381-89e5-4abb-bab3-167db6db766c

https://jira.jboss.org/browse/JBIDE-6933 GWT packaging should include zips with examples and install plugins unpacked to make zip's available https://jira.jboss.org/browse/JBIDE-6934 GWT Integration feature is not working if it is only installed from update site bin folder excluded from packaging

git-svn-id: http://svn.jboss.org/repos/jbosstools/trunk@24537 a97e2381-89e5-4abb-bab3-167db6db766c

https://jira.jboss.org/browse/JBIDE-6933 GWT packaging should include zips with examples and install plugins unpacked to make zip's available zip files added to build.properties

git-svn-id: http://svn.jboss.org/repos/jbosstools/trunk@24534 a97e2381-89e5-4abb-bab3-167db6db766c

https://jira.jboss.org/browse/JBIDE-6934 GWT Integration feature is not working if it is only installed from update site

<requires>

<import feature="com.google.gwt.eclipse.sdkbundle.e36.feature.2.0.4" version="2.0.4" match="greaterOrEqual"/>

<import feature="com.google.gdt.eclipse.suite.e36.feature" version="1.3.3" match="greaterOrEqual"/>

<import feature="org.eclipse.jst.enterprise_ui.feature" version="3.2.0" match="greaterOrEqual"/>

<import feature="org.eclipse.wst.web_ui.feature" version="3.2.0" match="greaterOrEqual"/>

<import feature="org.eclipse.jst.web_ui.feature" version="3.2.0" match="greaterOrEqual"/>

</requires>

git-svn-id: http://svn.jboss.org/repos/jbosstools/trunk@24533 a97e2381-89e5-4abb-bab3-167db6db766c

https://jira.jboss.org/browse/JBIDE-6933 GWT packaging should include zips with examples and install plugins unpacked to make zip's available, https://jira.jboss.org/browse/JBIDE-6934 GWT Integration should declare features it depends on in feature.xml to have Google Plugin and Google Web Toolkit SDK installed from update site by default updated to include ZIP files and declare dependencies on Google plug-in and Google App Toolkit

git-svn-id: http://svn.jboss.org/repos/jbosstools/trunk@24532 a97e2381-89e5-4abb-bab3-167db6db766c

JBDS-1247 remove relativePath from pom.xml so that old parent-pom.xml is entirely orphaned and deletable

git-svn-id: http://svn.jboss.org/repos/jbosstools/trunk@24485 a97e2381-89e5-4abb-bab3-167db6db766c

    • -1
    • +1
    /plugins/org.jboss.tools.gwt.core/pom.xml
    • -1
    • +1
    /plugins/org.jboss.tools.gwt.ui/pom.xml